## plinth 0.36.0

=== debian/changelog ===
plinth (0.36.0) unstable; urgency=medium

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ James Valleroy ]
  * Fix validation error in Hindi translation
  * Fix validation error in Spanish translation
  * Add backups info to apps
  * ejabberd: Cleanup config file upgrade
  * Add license info for Lato fonts
  * ci: Run test coverage and get report
  * Commit patch for French debconf translation (Closes: #905933)
    - Thanks to jean-pierre giraud for the patch.

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Hemanth Kumar Veeranki ]
  * Translated using Weblate (Telugu)
  * Remove deprecated settings from already existing config files
  * Add functional test to enable/disable Message Archive Management

  [ Joseph Nuthalapati ]
  * Fix validation error in Spanish translation
  * Translated using Weblate (Hindi)
  * Trim the translation strings in Letsencrypt template where missing
  * backups: Add core API for full/apps backup
  * mediawiki: Fix issue with re-installation
  * mediawiki: Enable Instant Commons
  * mediawiki: Fix images throwing 403s
  * turbolinks: Reload page using JavaScript
  * functional tests: Fix failing test change default app

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Robert Martinez ]
  * Add woff2 fonts

  [ Prachi Srivastava ]
  * Translated using Weblate (Hindi)

  [ manikanta varma datla ]
  * Disable launch button for web client when not installed

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 13 Aug 2018 18:24:33 -0400

plinth (0.35.0) unstable; urgency=medium

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Bart Notelaers ]
  * Translated using Weblate (Dutch)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Praveen Illa ]
  * Translated using Weblate (Telugu)

  [ Jayasuganthi ]
  * mediawiki: Enable short URLs

  [ Joseph Nuthalapati ]
  * mediawiki: Override Debian settings in FreedomBoxSettings.php
  * functional_tests: Fix first test failing on a pristine VM
  * debian: Remove Bdale Garbee from the list of uploaders
  * Add turbolinks
  * turbolinks: Replace style elements in head with blocks in body
  * functional_tests: Use body instead of html for state change check
  * turbolinks: Disable caching on application visits
  * configuration: Option to set a default app for FreedomBox
  * configuration: Use augeas to edit Apache files
  * configuration: Fix parsing error in retrieving default app

  [ వీవెన్ ]
  * Translated using Weblate (Telugu)

  [ Johannes Keyser ]
  * Translated using Weblate (German)
  * text stripped from icons for mediawiki, radicale, tahoe-lafs

  [ Hemanth Kumar Veeranki ]
  * Clarify description for radicale shared calendar/addressbook
  * Remove deprecated `iqdisc` in ejabberd config

  [ Robert Martinez ]
  * Adding link to HACKING.md
  * Fix ejabberd logo #1336

  [ Sunil Mohan Adapa ]
  * udiskie: Move udisks2 methods to separate module
  * storage: Fix parsing issues when mount point has spaces
  * udiskie: Remove the unused ejectable property
  * utils: Remove unused method
  * udiskie: Add eject functionality for a drive
  * udiskie: Also list read-only filesystems
  * udiskie: Remove internal networks warning
  * udiskie: Show special message when no storage device available

  [ James Valleroy ]
  * udiskie: Import glib and udisks only inside methods

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 30 Jul 2018 19:04:51 -0400

plinth (0.34.0) unstable; urgency=medium

  [ Joseph Nuthalapati ]
  * firstboot: Prompt for secret during firstboot welcome
  * firstboot: Add debconf translations for wizard secret dialog
  * l10n: Fix build error due to partially translated string in Hindi
  * ci: Install python3-coverage before running tests
  * backups: Temporarily hide app till implementation is complete

  [ James Valleroy ]
  * postinst: Fix indents and untabify
  * lintian: Add override for no-debconf-config
  * Translated using Weblate (Italian)
  * ci: Use python3.6 when installing dependencies
  * functional_tests: Rename features, organize by app
  * backups: New app to manage borgbackup archives
  * backups: Allow valid filenames as archive names
  * backups: Set LANG=C.UTF-8 when extracting archive
  * backups: Move repository location under /var/lib

  [ ikmaak ]
  * Translated using Weblate (Dutch)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

  [ Sciumedanglisc ]
  * Translated using Weblate (Italian)

  [ Bart Notelaers ]
  * Translated using Weblate (Dutch)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 16 Jul 2018 19:16:08 -0400

plinth (0.33.1) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Russian)

  [ Joseph Nuthalapati ]
  * Change get-group-users to a simpler implementation
  * users: Replace disabled with readonly for admin group checkbox
    (Closes: #902892)

  [ Gayathri Das ]
  * Translated using Weblate (Hindi)

 -- James Valleroy <jvalleroy@mailbox.org>  Wed, 04 Jul 2018 10:32:23 -0400

plinth (0.33.0) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norsk bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Igor ]
  * Translated using Weblate (Русский)

  [ Pavel Borecki ]


=== debian/control ===
Source: plinth
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>
 , Piotr Ożarowski <piotr@debian.org>
 , Petter Reinholdtsen <pere@debian.org>
 , Sunil Mohan Adapa <sunil@medhas.org>
 , Nick Daly <Nick.M.Daly@gmail.com>
 , Federico Ceratto <federico@debian.org>
 , James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper (>= 11~)
 , dblatex
 , dh-python
 , docbook-utils
 , e2fsprogs
 , gir1.2-nm-1.0
 , libjs-bootstrap
 , python3-all
 , python3-apt
 , python3-augeas
 , python3-bootstrapform
 , python3-cherrypy3
 , python3-configobj
 , python3-coverage
 , python3-dbus
 , python3-django (>= 1.11)
 , python3-django-axes (>= 3.0.3)
 , python3-django-captcha
 , python3-django-stronghold (>= 0.3.0)
 , python3-gi
 , python3-psutil
 , python3-requests
 , python3-ruamel.yaml
 , python3-setuptools
 , python3-setuptools-git
 , python3-yaml
 , xmlto
Standards-Version: 4.1.5
Homepage: https://salsa.debian.org/freedombox-team/plinth
Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth

Package: plinth
Breaks: freedombox-setup (<< 0.11~)
Replaces: freedombox-setup (<< 0.11~)
Architecture: all
Depends: ${python3:Depends}
 , ${misc:Depends}
 , ${plinth:Depends}
 , adduser
 , debconf
 , augeas-tools
 , e2fsprogs
 , fonts-lato
 , gettext
 , gir1.2-glib-2.0
 , gir1.2-nm-1.0
 , javascript-common
 , ldapscripts
 , libjs-bootstrap
 , libjs-jquery
 , libjs-modernizr
 , network-manager
 , node-turbolinks
 , ppp
 , pppoe
 , python3-apt
 , python3-augeas
 , python3-bootstrapform
 , python3-cherrypy3
 , python3-configobj
 , python3-dbus
 , python3-django (>= 1.11)
 , python3-django-axes (>= 3.0.3)
 , python3-django-captcha
 , python3-django-stronghold
 , python3-gi
 , python3-psutil
 , python3-requests
 , python3-ruamel.yaml
 , python3-yaml
 , sudo
Description: web front end for administering every aspect of a FreedomBox
 The FreedomBox is a net appliance conceived by Eben Moglen.  It
 contains free software and is designed to allow you to interface with
 the rest of the net under conditions of protected privacy and data
 security.
 .
 The Plinth front end is a web interface to administer the functions of
 the FreedomBox.  For example, the FreedomBox is a wireless router,
 and the front end is where you can adjust its settings.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=plinth

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install-indep:
	dh_auto_install
	./run --list-dependencies 2> /dev/null | sort | tr '\n' ', ' | \
		sed -e 's/^/plinth:Depends=/' >> debian/plinth.substvars

## plinth 19.1

=== debian/changelog ===
plinth (19.1) unstable; urgency=medium

  [ James Valleroy ]
  * radicale: Log errors during upgrade
  * radicale: Bump version to 2
  * radicale: Remove obsolete diagnostics
  * radicale: Fix server URLs in client info
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Sunil Mohan Adapa ]
  * setup: Add option to handle configuration prompts during install
  * radicale: Simplify upgrading to newer packages
  * matrixsynapse: Remove hard-coded URL
  * matrixsynapse: Fix issues with showing certificate warning
  * letsencrypt: Fix issue with disabling matrixsynapse checkbox
  * matrixsynapse: Don't check for current domain in renew hook
  * matrixsynapse: Fix potential exposure of private key
  * matrixsynapse: Setup certificate after domain selection
  * matrixsynapse: Better checking for valid certificate

  [ Joseph Nuthalapati ]
  * matrixsynapse: Use Let's Encrypt certificates

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 14 Feb 2019 06:01:19 -0500

plinth (19.0) unstable; urgency=high

  [ J. Carlos Romero ]
  * mldonkey: Add some more clients to the module page
  * mldonkey: Add to the description the three available front-ends

  [ Sunil Mohan Adapa ]
  * monkeysphere: Fix handling of multiple domains and keys
  * monkeysphere: Fix regression with reading new apache domain config
  * apache: Cleanup domain configuration
  * apache: Add support for mod_ssl in addition to mod_gnutls
  * apache: Switch to mod_ssl from mod_gnutls
  * mldonkey: Add systemd service file with security options
  * mldonkey: Enable app
  * action_utils: Fix checking for URL availability
  * upgrades: Fix priority for buster-backports version
  * upgrades: Fix premature adding of buster-backports sources

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Johannes Keyser ]
  * Translated using Weblate (German)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * locale: Update strings for translation
  * Switched to a new version number scheme: YY.N
    - YY is the year of release.
    - N is the release number within that year.

 -- James Valleroy <jvalleroy@mailbox.org>  Sat, 09 Feb 2019 20:38:00 -0500

plinth (0.49.1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * ui: Fix regression with configure button in home page
  * backups: Rename 'Abort' buttons to 'Cancel'
  * backups: Use icon for add repository button
  * backups: Move subsubmenu below description
  * backups: Add title and description to other pages
  * backups: Add link to manual page
  * backups: Fix styling for upload size warning
  * backups: Increase timeout for SSH operations to 30 seconds
  * backups: Minor styling fixes

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ advocatux ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * letsencrypt: UI: Fix checkbox disabling

  [ James Valleroy ]
  * datetime: Switch from chrony to systemd-timesyncd
  * locale: Update translation strings
  * doc: Fetch latest manual

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 07 Feb 2019 21:23:32 -0500

plinth (0.49.0) unstable; urgency=medium

  [ Prachi Srivastava ]
  * networks: remove unused html
  * security: Moves inline javascript to files
  * security: Moves input field focus javascript to django forms
  * help: Use freedombox package instead of plinth for version
  * repro: Disable app due to issues with Debian package

  [ Sunil Mohan Adapa ]
  * ui: Fix regression with card icon style in front page
  * js: Full librejs compatibility
  * js: Remove javascript license link from footer
  * backups: Remove incorrectly set buffer size during download
  * backups: Minor styling fixes
  * backups: Remove dead code
  * backups: Minor styling fixes
  * backups: Minor refactoring
  * backups: Fix incomplete download archives
  * backups: Improve performance of backup download
  * tor: Make a utility method public
  * action_utils: Expose URL checking utility for generic use
  * upgrades: Improve handling of backports
  * datetime: Fix diagnostic test to not ignore first two servers

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ J. Carlos Romero ]
  * mldonkey: show 'Learn more...' link in package page when installed

  [ James Valleroy ]
  * radicale: Handle migration from 1.x to 2.x
  * shadowsocks: Use resolvable domains in functional tests
  * radicale: Handle data migration for upgrade to 2.x
  * datetime: Switch from ntp to chrony
  * vagrant: Put hold on freedombox package during provision
  * repro: Also disable functional tests
  * monkeysphere: Re-enable functional tests
  * locale: Update translation strings

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Joseph Nuthalapati ]
  * backports: Add buster-backports to apt sources list
  * debian: Add smoke test with autopkgtests (Closes: #878699)

  [ danielwine ]
  * Translated using Weblate (Hungarian)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 05 Feb 2019 22:55:53 -0500

plinth (0.48.0) unstable; urgency=medium

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * ui: Fix top margin for content containers
  * ui: Rename page specific CSS classes
  * ui: Underline the logo along with 'Home' text when active
  * ui: Style frontpage application info like regular content
  * ui: Fix setting width of card-list at various page sizes
  * ui: Show help nav item text when navbar is collapsed


## plinth 19.1+deb10u1

=== debian/changelog ===
plinth (19.1+deb10u1) buster; urgency=medium

  * apache: Disable mod_status (CVE-2020-25073)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 21 Sep 2020 21:40:22 -0400

## plinth 19.1+deb10u2

=== debian/changelog ===
plinth (19.1+deb10u2) buster; urgency=medium

  [ Kirill Schmidt ]
  * first_boot: Use session to verify first boot welcome step

 -- James Valleroy <jvalleroy@mailbox.org>  Tue, 30 Mar 2021 21:43:08 -0400

=== debian/control ===
Source: plinth
Section: web
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Tzafrir Cohen <tzafrir@debian.org>,
 Piotr Ożarowski <piotr@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Sunil Mohan Adapa <sunil@medhas.org>,
 Nick Daly <Nick.M.Daly@gmail.com>,
 Federico Ceratto <federico@debian.org>,
 James Valleroy <jvalleroy@mailbox.org>,
Build-Depends:
 debhelper (>= 12~),
 dblatex,
 dh-python,
 docbook-utils,
 e2fsprogs,
 gir1.2-nm-1.0,
 libjs-bootstrap,
 python3-all,
 python3-apt,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-coverage,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 3.0.3),
 python3-django-captcha,
 python3-django-stronghold (>= 0.3.0),
 python3-gi,
 python3-psutil,
 python3-pytest,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-setuptools-git,
 python3-yaml,
 xmlto,
Standards-Version: 4.3.0
Homepage: https://salsa.debian.org/freedombox-team/plinth
Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth

Package: freedombox
Breaks:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Replaces:
 freedombox-setup (<< 0.13~),
 plinth (<< 0.46.0~),
Architecture: all
Provides: plinth
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${freedombox:Depends},
 adduser,
 augeas-tools,
 curl,
 debconf,
 dnsutils,
 e2fsprogs,
 fonts-fork-awesome,
 fonts-lato,
 gettext,
 gir1.2-glib-2.0,
 gir1.2-nm-1.0,
 javascript-common,
 ldapscripts,
 libjs-bootstrap,
 libjs-jquery,
 libjs-modernizr,
 lsof,
 netcat-openbsd,
 network-manager,
 node-turbolinks,
 ppp,
 pppoe,
 python3-apt,
 python3-argon2,
 python3-augeas,
 python3-bootstrapform,
 python3-cherrypy3,
 python3-configobj,
 python3-dbus,
 python3-django (>= 1.11),
 python3-django-axes (>= 3.0.3),
 python3-django-captcha,
 python3-django-stronghold,
 python3-gi,
 python3-psutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-yaml,
 sudo,
 wget,
Recommends:
# Priority: standard
 bzip2,
# Provides brctl for controlling bridges
 bridge-utils,
# Read, write to char devices
 devio,
# Create, repair DOS filesystems
 dosfstools,
# Priority: standard
 file,
# Provide entropy using HAVEGE algorithm
 haveged,
# Monitor system resources
 htop,
# Monitor network traffic statistics
 iftop,
# Basic network utitlity ping
 iputils-ping,
# Manage wireless devices
 iw,
# Resolve gateway.localhost
 libnss-gw-name,
# Resolve .local address using mDNS
 libnss-mdns,
# Resolve current hostname without /etc/hosts
 libnss-myhostname,
# Tighter $TMPDIR permissions
 libpam-tmpdir,
# Block repeated failed PAM login attempts
 libpam-abl,
# Priority: standard
 locales,
# Precompiled data for all locales
 locales-all,
# Priority: standard
 openssh-client,
# Priority: standard
 pciutils,
# fuser, pstree and other utilites
 psmisc,
# Optional FreedomBox dependency
 python3-systemd,
# Manage /etc/resolv.conf
 resolvconf,
# Tool to kill WLAN, Bluetooth and moble broadband
 rfkill,
# Monitor network traffic
 tcpdump,
# Basic editor, VIM style
 vim-tiny,
# iwconfig, iwlist and other wireless network tools
 wireless-tools,
# Priority: standard
 whois,
# Basic editor, Emacs style
 zile,
Description: easy to manage, privacy oriented home server
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This package provides the FreedomBox Service (Plinth) which installs,
 configures and manages all functions of FreedomBox. The service is managed
 using a web interface available at https://localhost/.

Package: plinth
Architecture: all
Priority: optional
Section: oldlibs
Depends:
 ${misc:Depends},
 freedombox (>> 0.46.0),
Description: easy to manage, privacy oriented home server (transitional package)
 FreedomBox is designed to be your own inexpensive server at home. It runs free
 software and offers an increasing number of services ranging from a calendar or
 jabber server to a wiki or VPN. A web interface allows you to easily install
 and configure your apps.
 .
 This is a transitional package. It can safely be removed. plinth package has
 been renamed to freedombox.

## plinth 19.14

=== debian/changelog ===
plinth (19.14) unstable; urgency=medium

  [ James Valleroy ]
  * functional_tests: Fix delete backup path
  * tests: Test add custom shortcuts to frontpage
  * locale: Update translation strings
  * doc: Fetch latest manual
  * debian: Update standards version to 4.4.0
  * debian: Switch to debhelper-compat

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ pierre ]
  * Translated using Weblate (French)

  [ ZeroAurora ]
  * Translated using Weblate (Chinese (Simplified))

  [ Sunil Mohan Adapa ]
  * storage: Handle all device paths during eject
  * storage: Fix incorrect i18n when throwing and error
  * storage: yapf changes
  * setup: Clarify success log message when force upgrading
  * Yapf changes
  * firewall: Force upgrade to firewalld 0.7.x
  * frontpage: Fix regression with loading custom shortcuts
  * frontpage: Log a message when loading custom shortcuts
  * upgrades: Set apt configuration to allow release info change
  * tests: Fix flake8 warning about unused imports
  * Minor yapf fixes
  * names: Minor styling fixes
  * names: Don't enumerate services for domains supporting all
  * names: Introduce new API to manage domains
  * names: Declare domain types in various apps
  * names: Make all apps use new api to retrieve domain names
  * names: Use new API in all apps
  * letsencrypt: Revoke certificate only if it exists
  * letsencrypt: Fix problem with automatically obtaining certificates
  * cockpit: Don't error out when removing an unknown domain
  * ejabberd: Ensure that hosts are not duplicated in configuration
  * ejabberd: Use domain added signal for listening to domain changes
  * cockpit: Don't handle the domain changed signal
  * letsencrypt: Remove unused listen to domain change signal
  * config: Remove unused domain change signal
  * api: Fix regression with listing only enabled apps in mobile app

  [ Joseph Nuthalpati ]
  * upgrades: Use reusable collapsible-button style for logs

  [ Mesut Akcan ]
  * Translated using Weblate (Turkish)

  [ Radek Pasiok ]
  * Translated using Weblate (Polish)

  [ Anxin YI ]
  * Translated using Weblate (Chinese (Simplified))

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 12 Aug 2019 19:31:35 -0400

plinth (19.13) unstable; urgency=low

  [ Nikolas Nyby ]
  * Fix a handful of typos in docs and comments
  * Introduce flake8 checking
  * Fix typos in module init docs
  * Add flake8 to gitlib-ci

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Sunil Mohan Adapa ]
  * Minor changes to flake8 related updates
  * diaspora: Fix tests by reverting changes during flake8 clenaup
  * backups: Fix issue with showing index page
  * backups: Fix HTML template indentation, remove inline styling

  [ James Valleroy ]
  * help: Show security notice when backports are in use
  * security: Show vulnerability counts
  * locale: Update translation strings
  * doc: Fetch latest manual
  * Begin uploading to unstable again.
  * security: Fixup refactoring

  [ Joseph Nuthalapati ]
  * backups: Make UI more consistent with other apps
  * backups: Make backup location tables collapsible
  * flake8: Remove unused import

  [ nautilusx ]
  * Translated using Weblate (German)

  [ Anxin YI ]
  * Translated using Weblate (Chinese (Simplified))

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 29 Jul 2019 19:13:58 -0400

plinth (19.12) experimental; urgency=medium

  [ Miguel A. Bouzada ]
  * Added translation using Weblate (Galician)
  * Translated using Weblate (Galician)

  [ Sunil Mohan Adapa ]
  * dbus: Allow plinth user to own FreedomBox DBus service
  * service: Implement action for systemd try-restart
  * cockpit: Don't handle domains if app is not installed
  * dynamicdns: Send domain added signal properly during init
  * letsencrypt: Force commands to be non-interactive
  * letsencrypt: Remove renewal hooks implementation
  * letsencrypt: Remove old style hooks from all configuration files
  * letsencrypt: Remove deprecated logger.warn
  * letsencrypt: Remove special treatment for domain added from 'config'
  * letsencrypt: Implement DBus service for renewal notifications
  * letsencrypt: Add lineage information in status
  * letsencyrpt: Implement action to copy certificates
  * letsencrypt: Implement action to compare copied certificates
  * letsencrypt: Introduce component for handling certificates
  * letsencrypt: Add permanent hook to receive renewal notifications
  * letsencrypt: Trigger renewal certificate events in component
  * letsencrypt: Trigger events for obtain, revoke and delete
  * letsencrypt: Implement re-obtain separately
  * letsencrypt: Handling certificate renewals when daemon is offline
  * apache: Add let's encrypt certificate component
  * matrixsynapse: Add let's encrypt component for certficiates
  * ejabberd: Add let's encrypt component for managing certificates
  * ejabberd: Backup and restore TLS certificates
  * sso: Use new features of axes, log axes messages
  * Minor yapf and isort changes

  [ Pavel Borecki ]
  * Translated using Weblate (Czech)

  [ Petter Reinholdtsen ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Doma Gergő ]
  * Translated using Weblate (Hungarian)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ Joseph Nuthalapati ]
  * backups: Add option to select/deselect all apps for backup or restore
  * backups: Change "select all" to a pure JavaScript implementation
  * Translated using Weblate (Telugu)
  * Translated using Weblate (Chinese (Simplified))
  * sharing: Allow directories to be publicly shared
  * sharing: Add functional test for public shares
  * sharing: Add JavaScript to hide user groups for public shares
  * sharing: Simplify --is-public option
  * sharing: Indicate public shares in listing of shares



=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Federico Ceratto <federico@debian.org>,
  James Valleroy <jvalleroy@mailbox.org>,
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 12),
  dblatex,
  dh-python,
  docbook-utils,
@@ -24,22 +24,26 @@
  python3-bootstrapform,
  python3-cherrypy3,
  python3-configobj,
- python3-coverage,
  python3-dbus,
  python3-django (>= 1.11),
  python3-django-axes (>= 3.0.3),
  python3-django-captcha,
  python3-django-stronghold (>= 0.3.0),
+ python3-flake8,
  python3-gi,
+ python3-paramiko,
  python3-psutil,
  python3-pytest,
+ python3-pytest-cov,
+ python3-pytest-django,
+ python3-pytest-runner,
  python3-requests,
  python3-ruamel.yaml,
  python3-setuptools,
  python3-setuptools-git,
  python3-yaml,
  xmlto,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://salsa.debian.org/freedombox-team/plinth
 Vcs-Git: https://salsa.debian.org/freedombox-team/plinth.git
 Vcs-Browser: https://salsa.debian.org/freedombox-team/plinth
@@ -70,6 +74,8 @@
  gir1.2-nm-1.0,
  javascript-common,
  ldapscripts,
+# For gdbus used to call hooks into service
+ libglib2.0-bin,
  libjs-bootstrap,
  libjs-jquery,
  libjs-modernizr,
@@ -91,6 +97,7 @@
  python3-django-captcha,
  python3-django-stronghold,
  python3-gi,
+ python3-paramiko,
  python3-psutil,
  python3-requests,
  python3-ruamel.yaml,
@@ -136,7 +143,7 @@
  openssh-client,
 # Priority: standard
  pciutils,
-# fuser, pstree and other utilites
+# fuser, pstree and other utilities
  psmisc,
 # Optional FreedomBox dependency
  python3-systemd,
@@ -166,7 +173,6 @@
 
 Package: plinth
 Architecture: all
-Priority: optional
 Section: oldlibs
 Depends:
  ${misc:Depends},

## plinth 20.2

=== doc/Makefile ===
#!/usr/bin/make -f
#
# This file is part of FreedomBox.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

OUTPUTS=freedombox-manual.pdf plinth.1 manual-pages

MANUAL_LANGUAGES=en es

MANUAL_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=show&mimetype=text%2Fdocbook"
MANUAL_URL_RAW="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual?action=raw"
MANUAL_PAGE_URL="https://wiki.debian.org/{lang-fragment}FreedomBox/Manual/{page}?action=show&mimetype=text%2Fdocbook"

DESTDIR=
INSTALL_DIR=$(DESTDIR)/usr/share/doc/freedombox
SCRIPTS_DIR=scripts

manual-pdfs=$(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.pdf)
manual-xmls=$(patsubst %.pdf,%.xml,$(manual-pdfs))
OUTPUTS=$(manual-pdfs) plinth.1 manual-pages

INSTALL_OPTS=-D --mode=644

# In order to debug various problems with the documents especially
# intermediate LaTeX state, run make as follows:
#
#   $ make DEBUG=true
#   or
#   $ make DEBUG=true <target>
#
XMLTO_DEBUG_FLAGS=
ifneq ($(DEBUG),)
	XMLTO_DEBUG_FLAGS=--noclean -p '--debug'
endif

.PHONY: all install
all: $(OUTPUTS)

install: all
	for file in $(manual-pages-part-html) $(manual-pdfs); do \
		install $(INSTALL_OPTS) -t $(INSTALL_DIR)/$$(dirname $${file}) \
			$${file} ; \
	done
	for lang in $(MANUAL_LANGUAGES); do \
		install $(INSTALL_OPTS) manual/$${lang}/images/*.png \
			manual/$${lang}/images/*.jpg \
			-t $(INSTALL_DIR)/manual/$${lang}/images ; \
	done

# Do not edit the manual page in this directory.  The manual is
# maintained as separate pages on the FreedomBox wiki and aggregated
# into a single page using the MoinMoin include feature.  Then it is
# exported as Docbook format and kept here.
#
# It is important to keep a copy of the manual in this source tree
# because Debian packages promise an entire source tree including the
# documentation.
#
# Use 'make fetch' to retrieve the latest manual from the wiki and
# commit it to the repository.  The wiki page is already reviewed, so
# commits that update the manual just using the 'fetch' target do not
# require further reviews.
fetch-main-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-main-$(lang))
fetch-pages-list:=$(foreach lang,$(MANUAL_LANGUAGES),fetch-pages-$(lang))

.PHONY: fetch $(fetch-main-list) $(fetch-pages-list)
fetch: $(fetch-main-list) $(fetch-pages-list)

fetch-main-%: lang = $*
fetch-main-%: lang-fragment = $(subst en/,,$*/)
$(fetch-main-list): fetch-main-%:
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL)) ; \
	wget --quiet -O - $${MANUAL_URL_LANG} | \
	  xmllint --format --output manual/$(lang)/freedombox-manual.raw.xml -
	mkdir -p manual/$(lang)/images/
	xsltproc $(SCRIPTS_DIR)/fetch-images.xslt manual/$(lang)/freedombox-manual.raw.xml | \
	  sort -u | \
	  awk 'NF {print "wget --quiet -O manual/$(lang)/images/" $$1 " " $$2}' | \
	  sh

fetch-pages-%: lang = $*
fetch-pages-%: lang-fragment = $(subst en/,,$*/)
$(fetch-pages-list): fetch-pages-%:
	MANUAL_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_URL_RAW)) ; \
	MANUAL_PAGE_URL_LANG=$(subst {lang-fragment},$(lang-fragment),$(MANUAL_PAGE_URL)) ; \
	PAGES=$$(wget --quiet -U Firefox -O - $${MANUAL_URL_LANG} | \
	  sed -n -e "s|.*FreedomBox/Manual/\([a-zA-Z0-9_-]*\).*|\1|p" | sort -u | \
	  grep -v -e GettingHelp -e Developer -e QuickStart) ; \
	for PAGE in $${PAGES} ; do \
	  FILE="manual/$(lang)/$${PAGE}.raw.xml" ; \
	  URL=$$(echo $${MANUAL_PAGE_URL_LANG} | sed "s/{page}/$${PAGE}/") ; \
	  echo "Downloading $(lang) $${PAGE}" ; \
	  wget --quiet --user-agent=Firefox -O $${FILE} $${URL} ; \
	done

manual-pages-raw:=$(foreach lang,$(MANUAL_LANGUAGES),$(filter-out manual/%/freedombox-manual.raw.xml,$(wildcard manual/$(lang)/*.raw.xml)))
manual-pages-part-html:=$(patsubst %.raw.xml, %.part.html, $(manual-pages-raw)) $(foreach lang,$(MANUAL_LANGUAGES),manual/$(lang)/freedombox-manual.part.html)
manual-pages-html:=$(patsubst %.part.html, %.html, $(manual-pages-part-html))
manual-pages-xml:=$(patsubst %.raw.xml, %.xml, $(manual-pages-raw))

.PHONY: manual-pages
manual-pages: $(manual-pages-part-html)

$(manual-pdfs): %.pdf: %.xml
	xmlto $(XMLTO_DEBUG_FLAGS) --with-dblatex pdf -o $(dir $@) $<

$(manual-pages-part-html): %.part.html: %.html
	perl -pe 'BEGIN {undef $$/} s/.*<body[^>]*>(.*)<\/body\s*>.*/$$1/si' $< > $@

$(manual-xmls): %.xml: %.raw.xml $(SCRIPTS_DIR)/fixes.xslt
	xsltproc --output $@ $(SCRIPTS_DIR)/fixes.xslt $<

$(manual-pages-xml): %.xml: %.raw.xml $(SCRIPTS_DIR)/manual-page-fixes.xslt
	xsltproc --output $@ $(SCRIPTS_DIR)/manual-page-fixes.xslt $<
	$(SCRIPTS_DIR)/post-processor remove-footer $@
	$(SCRIPTS_DIR)/post-processor fix-wiki-urls $@

$(manual-pages-html): %.html: %.xml
	xsltproc --output $@ /usr/share/xml/docbook/stylesheet/docbook-xsl/xhtml5/docbook.xsl $<
	rm -f $(dir $@)docbook.css

%.1: %.xml
	xmlto man $<

.PHONY: clean
clean:
	rm -f $(manual-pages-html) $(manual-pages-part-html) $(manual-pages-xml) $(manual-xmls)
	rm -f $(OUTPUTS)

=== doc/dev/Makefile ===
#
# This file is part of FreedomBox.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

#
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXAUTOBUILD = sphinx-autobuild
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml: Makefile
	@$(SPHINXAUTOBUILD) -b html -r "\\.#.*" $(SPHINXOPTS) "$(SOURCEDIR)" "$(BUILDDIR)/html"

=== debian/changelog ===
plinth (20.2) unstable; urgency=medium

  [ Veiko Aasa ]
  * networks: Support virtual Ethernet (veth) devices
  * diagnostics: Show firewall service status
  * users: Fix functional test delete user
  * storage: Show disks if FreedomBox is running in an unprivileged container
  * service: Stop service not before but after disabling it
  * users: More precise username validation
  * sso, users: Turn off autocapitalization on the username field
  * users: Add unit tests for views
  * help: Fix anchor hidden under navbar

  [ Joseph Nuthalapati ]
  * tests: Use the latest version of geckodriver
  * vagrant: Add alias for run --develop
  * l10n: Add blocktrans trimmed tag on a block
  * l10n: Add missing trimmed to blocktrans blocks
  * vagrant: Allocate cpus equal to the no. of cores
  * Translated using Weblate (Telugu)
  * searx: Fix installation issue for 0.16.0

  [ Sunil Mohan Adapa ]
  * firewall: Show Run Diagnostics button in app
  * help: Eliminate redundant HTML attribute in template
  * glib: Create a new module to deal with all things glib
  * glib: Introduce method to schedule an operation at regular intervals
  * web_framework: Set the timezone to UTC
  * log: Ability to log SQL queries (disabled by default)
  * tests: Allow adding test templates
  * models: Add model for storing notifications
  * notification: New API for showing better notifications
  * notification: Add tests for notification API
  * views: A view to dismiss notifications
  * notification: Show a drop down from main navbar for notifications
  * storage: Show low disk space warning using notifications API
  * upgrades: Show notification when FreedomBox is updated
  * storage: In develop mode check for low disk space more frequently

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Allan Nordhøy ]
  * Translated using Weblate (Norwegian Bokmål)

  [ Ralf Barkow ]
  * Translated using Weblate (German)

  [ Luis A. Arizmendi ]
  * Translated using Weblate (Spanish)

  [ James Valleroy ]
  * users: Make help text translatable
  * security: Add Sandbox Coverage to report page
  * bind: Add CapabilityBoundingSet and ReadWritePaths to service file
  * matrixsynapse: Enable systemd sandboxing
  * security: Drop PrivateUsers=yes from all service files
  * locale: Update translation strings
  * doc: Fetch latest manual

  [ Michael Breidenbach ]
  * Translated using Weblate (German)
  * Translated using Weblate (Swedish)

 -- James Valleroy <jvalleroy@mailbox.org>  Mon, 10 Feb 2020 19:22:55 -0500

plinth (20.1) unstable; urgency=medium

  [ ikmaak ]
  * Translated using Weblate (Dutch)
  * Translated using Weblate (Dutch)

  [ Allan Nordhøy ]
  * samba: Fix spelling
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (German)
  * Translated using Weblate (Spanish)
  * Translated using Weblate (Norwegian Bokmål)
  * Translated using Weblate (Swedish)

  [ Veiko Aasa ]
  * samba: Add unit and functional tests
  * deluge: Allow one to set a download directory
  * deluge: Fix installation failure on slow machine
  * storage: Make external disk mounts accessible by other users
  * gitweb: Add link to the manual page
  * gitweb: Fix functional tests if git user and email is not configured

  [ Sunil Mohan Adapa ]
  * style: Fix incorrect margins for containers in mobile view
  * style: Fix responsiveness for app header
  * network: Fix activating connections that don't have real devices
  * network: Allow setting the auto-connect property on a connection
  * network: Add method to re-activate connections after an update
  * wireguard: Show large buttons in show client/server pages
  * wireguard: Cosmetic fixes by yapf and isort
  * wireguard: Don't error out when wg0 server is not setup
  * wireguard: Add ability to set private key in client addition
  * wireguard: Accept all IPs on server in a client setup
  * wireguard: Update descriptions in form labels
  * wireguard: Only use network manager for connections to servers
  * wireguard: Handle client connections through network manager
  * wireguard: Update descriptions for client vs. server clarity
  * wireguard: Generate private key if needed when editing server
  * wireguard: Add validations in forms
  * wireguard: Ensure tests work without latest network manager
  * wireguard: Implement enabling/disabling app using a stored flag
  * wireguard: Enable/disable connections along with the app
  * wireguard: When a connection is edited, reactivate to apply changes
  * wireguard: Show public key even when connection is not active

  [ Thomas Vincent ]
  * Translated using Weblate (French)

  [ Nektarios Katakis ]
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * Translated using Weblate (Greek)
  * networks: form for configuring router
  * networks: create view & url for new form
  * networks: add link to main page for router config form
  * networks: add first boot step for router config helper
  * networks: modify as first boot wizard step
  * networks: save router config to kvstore

  [ James Valleroy ]
  * Translated using Weblate (French)
  * wireguard: Add skeleton for new app
  * wireguard: Implement adding client
  * wireguard: Show list of added clients
  * wireguard: Allow deleting a client
  * wireguard: Add client info view
  * wireguard: Form to add server
  * wireguard: List peers in client section
  * wireguard: Add server information view
  * wireguard: Generate key pair
  * wireguard: Show this box's public key
  * wireguard: Create network manager connection
  * wireguard: Encode public keys for use in URLs
  * wireguard: Refactor actions file
  * wireguard: Add views for editing and deleting clients and servers
  * wireguard: Make setup idempotent
  * wireguard: Write pre-shared key to tempfile
  * wireguard: Use network API to handle connections
  * wireguard: Add icon
  * wireguard: Replace nmcli use with libnm
  * restore: Remove app
  * repro: Remove app
